Skip to main content
`Ctrl`+`K`

# SVDPRIMMEGetMethod

Gets the method for the PRIMME SVD solver.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDPRIMMEGetMethod(SVD svd,SVDPRIMMEMethod *method)

Not Collective

## Input Parameter

- svd - the singular value solver context

## Output Parameter

- method - method that will be used by PRIMME

## See Also

SVD: Singular Value Decomposition, `SVDPRIMME`, `SVDPRIMMESetMethod()`, `SVDPRIMMEMethod`

## Level

advanced

## Location

src/svd/impls/external/primme/svdprimme.c

## Implementations

SVDPRIMMEGetMethod_PRIMME() in src/svd/impls/external/primme/svdprimme.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages